summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--etc/init.d/zfs.lsb.in11
1 files changed, 11 insertions, 0 deletions
diff --git a/etc/init.d/zfs.lsb.in b/etc/init.d/zfs.lsb.in
index e970e5717..f400fca32 100644
--- a/etc/init.d/zfs.lsb.in
+++ b/etc/init.d/zfs.lsb.in
@@ -106,10 +106,21 @@ stop()
{
[ ! -f "$LOCKFILE" ] && return 3
+ log_begin_msg "Unsharing ZFS filesystems"
+ "$ZFS" unshare -a
+ log_end_msg $?
+
log_begin_msg "Unmounting ZFS filesystems"
"$ZFS" umount -a
log_end_msg $?
+ log_begin_msg "Exporting ZFS pools"
+ "$ZPOOL" list -H -o name | \
+ while read pool; do
+ "$ZPOOL" export $pool
+ done
+ log_end_msg $?
+
rm -f "$LOCKFILE"
}